# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Classes | Public Member Functions | Protected Member Functions | Private Attributes | List of all members
dirac::MemoryStreamOutput Class Reference

`#include <pic_io.h>`

Collaboration diagram for dirac::MemoryStreamOutput:
[legend]

## Classes
class | OutputMemoryBuffer
| local memory buffer More...

## Public Member Functions
| MemoryStreamOutput (SourceParams &sparams, bool interlace)
| Constructor. More...
| ~MemoryStreamOutput ()
| Destructor. More...
SourceParams & | GetSourceParams ()
| Get source parameters. More...
StreamPicOutput * | GetStream ()
void | SetMembufReference (unsigned char *buf, int buf_size)
| Set the memory buffer to write the data to. More...

## Protected Member Functions
| MemoryStreamOutput ()
| Body-less default Constructor. More...
| MemoryStreamOutput (const MemoryStreamOutput &)
| Body-less copy constructor. More...
MemoryStreamOutput & | operator= (const MemoryStreamOutput &)
| Body-less assignment operator. More...

## Private Attributes
OutputMemoryBuffer | m_membuf
| Output stream Memory buffer. More...
std::ostream * | m_op_pic_ptr
| Physical Output stream. More...
StreamPicOutput * | m_op_pic_str
| Pic output Stream. More...

## Detailed Description

Outputs pictures to a memory buffer

## Constructor & Destructor Documentation

## ◆ MemoryStreamOutput() [1/3]

dirac::MemoryStreamOutput::MemoryStreamOutput | ( | SourceParams & | sparams,
|  | bool | interlace
| ) |  |

## ◆ ~MemoryStreamOutput()

dirac::MemoryStreamOutput::~MemoryStreamOutput | ( |  | ) |

## ◆ MemoryStreamOutput() [2/3]

dirac::MemoryStreamOutput::MemoryStreamOutput | ( |  | ) |
| protected

## ◆ MemoryStreamOutput() [3/3]

dirac::MemoryStreamOutput::MemoryStreamOutput | ( | const MemoryStreamOutput & |  | ) |
| protected

## Member Function Documentation

## ◆ GetSourceParams()

SourceParams & dirac::MemoryStreamOutput::GetSourceParams | ( |  | ) |
| inline

References dirac::StreamPicOutput::GetSourceParams(), and m_op_pic_str.

## ◆ GetStream()

StreamPicOutput * dirac::MemoryStreamOutput::GetStream | ( |  | ) |
| inline

References m_op_pic_str.

## ◆ operator=()

MemoryStreamOutput & dirac::MemoryStreamOutput::operator= | ( | const MemoryStreamOutput & |  | ) |
| protected

## ◆ SetMembufReference()

void dirac::MemoryStreamOutput::SetMembufReference | ( | unsigned char * | buf,
|  | int | buf_size
| ) |  |

## Member Data Documentation

## ◆ m_membuf

OutputMemoryBuffer dirac::MemoryStreamOutput::m_membuf
| private

## ◆ m_op_pic_ptr

std::ostream* dirac::MemoryStreamOutput::m_op_pic_ptr
| private

## ◆ m_op_pic_str

StreamPicOutput* dirac::MemoryStreamOutput::m_op_pic_str
| private

Referenced by GetSourceParams(), and GetStream().

The documentation for this class was generated from the following file:

- pic_io.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.